{% extends "base.html" %}
{% load crispy_forms_tags %}
{% load static %}
{% load vstatic %}
{% load rules %}
{% block includes %}
    <link href="{% vstatic 'main/gentelella/select2/dist/css/select2.min.css' %}"
          rel="stylesheet"/>
{% endblock includes %}
{% block includes_footer %}
    <script>
        let ajax_organizacao_id = "";
        let ajax_estado_id = "";
        const ajax_estados_url = "{% url 'ajax_estados_list' %}";
        const ajax_municipios_url = "{% url 'ajax_municipios_list' %}";
    </script>
    <script src="{% vstatic 'main/gentelella/select2/dist/js/select2.full.min.js' %}"></script>
    <script type="text/javascript"
            src="{% vstatic 'main/js/organizacao_list.js' %}"></script>
{% endblock includes_footer %}
{% block content %}
    {% has_perm 'organizacao.cadastrar' user as pode_cadastrar_organizacao %}
    <div class="row">
        <div class="col-md-6">
            <h3>Organizações</h3>
        </div>
        <div class="col-md-6">
            {% if pode_cadastrar_organizacao %}
                <a href="{% url 'organizacao_create' %}"
                   class="btn btn-primary pull-right top-setepx">Nova organização</a>
            {% endif %}
        </div>
    </div>
    <div class="row mt-5">
        {% if organizacoes_list|length > 0 %}
            <div class="col-md-12">
                <table class="table table-bordered table-striped table-condensed"
                       id="organizacoes_list_table">
                    <thead>
                        <tr>
                            <th>Organização</th>
                            <th>Estados/Municípios acessíveis</th>
                            <th>Revisoras/es</th>
                            <th>Administradoras/es</th>
                            <th>Comunidades visíveis</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for organizacao in organizacoes_list %}
                            <tr data-organizacao="{{ organizacao.nome }}"
                                data-organizacao_id="{{ organizacao.id }}">
                                <td>
                                    <a href="{{ organizacao.url }}">{{ organizacao.nome }}</a>
                                </td>
                                <td>
                                    <div class="inner_cell_with_button">
                                        <div class="inner_cell_content">
                                            {% for municipio in organizacao.municipios %}
                                                <span class="badge badge-municipio">
                                                    {{ municipio }}
                                                    <a href="{% url 'organizacao_remover_municipio' organizacao_id=organizacao.id municipio_id=municipio.id %}"
                                                       data-municipio_id="{{ municipio.id }}"
                                                       data-municipio="{{ municipio }}"
                                                       class="organizacao_remover_municipio">
                                                        <i class="fa fa-times"></i>
                                                    </a>
                                                </span>
                                            {% endfor %}
                                            {% for estado in organizacao.estados %}
                                                <span class="badge badge-estado">
                                                    {{ estado.uf }}
                                                    <a href="{% url 'organizacao_remover_estado' organizacao_id=organizacao.id estado_id=estado.id %}"
                                                       data-estado_id="{{ estado.id }}"
                                                       data-estado="{{ estado.uf }}"
                                                       class="organizacao_remover_estado">
                                                        <i class="fa fa-times"></i>
                                                    </a>
                                                </span>
                                            {% endfor %}
                                        </div>
                                        <div class="inner_cell_button">
                                            <button class="adicionar_municipio_ou_estado btn btn-sm btn-default">
                                                <i class="fa fa-plus"></i>
                                            </button>
                                        </div>
                                    </div>
                                </td>
                                <td>{{ organizacao.num_revisoras }}</td>
                                <td>{{ organizacao.num_administradoras }}</td>
                                <td class="cell_num_territorios">{{ organizacao.num_territorios }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        {% else %}
            <div class="col-md-12">
                <div class="alert alert-dark">
                    <h5>
                        Ainda não há organizações cadastradas. Seja a/o primeira/o a
                        <a href="{% url 'organizacao_create' %}">criar uma</a>.
                    </h5>
                </div>
            </div>
        {% endif %}
    </div>
    <div id="municipio-visibilizar-modal"
         class="modal fade"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        Escolha o estado e/ou o município que deseja tornar acessível para a organização <b><span></span></b>
                    </h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true"><i class="fa fa-times"></i></span>
                    </button>
                </div>
                <div class="modal-body">{% crispy form %}</div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                    <button type="button" class="btn btn-primary" id="municipio-associar-submit">Salvar</button>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}
